Subject: Re: [bug#49412] [PATCH v2] gnu: libdrm: Update to 2.4.107.

From: Thiago Jung Bauermann <[email-masked]>
Date: Mon, 26 Jul 2021 11:19:23 -0300

Hello,

Em terça-feira, 13 de julho de 2021, às 13:57:48 -03, Kaelyn Takata via 
Guix-patches via escreveu:
> * gnu/packages/xdisorg.scm (libdrm): Update to 2.4.107, and change
> libpciaccess to a propagated input as the pkg-config for libdrm_intel now
> includes it in the libs.
> * gnu/packages/xdisorg.scm (libdrm): Add conditional testing support to
> the replacement for the standard check phase.
> ---
>  gnu/packages/xdisorg.scm | 11 ++++++-----
>  1 file changed, 6 insertions(+), 5 deletions(-)

Thank you for this patch. FWIW, I applied it and built libdrm successfully 
on x86_64-linux. I also verified that the SHA256 sum matches the one from 
the official release announcement¹, and that:

$ ./pre-inst-env guix build --without-tests=libdrm plymouth

skips the libdrm tests.

I wasn’t able to find the OpenPGP key that signed the release tarball, so I 
couldn’t check its signature.

-- 
Thanks,
Thiago

¹ https://lists.freedesktop.org/archives/dri-devel/2021-July/313594.html